# cloud-config-cli

Build a cloud-config from a configuration file.


### Reason

When there are many cloud-configs, that share units/files/services,
it is time-consuming and typo-risky to change their content and still ensure,
that they are identical.
So this package was created to address this issue and build cloud-config from a configuration file.


### Installation

```
$ npm install --global cloud-config-cli
```


### Usage


```
$ cloud-config -f config.json
$ cat config.json | cloud-config
```

*config.json*:
```json
{
  "services": {
    "etcd": {
      "discovery": "https://discovery.etcd.io/a9k43fjls5g",
      "addr": "1.1.1.1:2379",
      "peer-addr": "1.1.1.1:2380"
    }
  },

  "files": [{
    "path": "/target/path",
    "permissions": 777,
    "owner": "core:core",
    "content": "/path/to/actual/file"
  }],

  "units": [{
    "name": "etcd",
    "command": "start"
  }, {
    "name": "custom",
    "content": "/path/to/actual/service"
  }]
}
```


### License

cloud-config-cli is released under the MIT license.
